### Method

# Gio Notification set_default_action

since: 2.40

#### Declaration [src]

    void
    g_notification_set_default_action (
      GNotification* notification,
      const gchar* detailed_action
    )

#### Description [src]

Sets the default action of `notification` to `detailed_action`. This action is activated when the notification is clicked on.

The action in `detailed_action` must be an application-wide action (it must start with “app.”). If `detailed_action` contains a target, the given action will be activated with that target as its parameter. See `g_action_parse_detailed_name()` for a description of the format for `detailed_action`.

When no default action is set, the application that the notification was sent on is activated.

Available since: 2.40

#### Parameters

`detailed_action`

  Type: `const gchar*`

  A detailed action name.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.